# LibZrtpSecurityMode_Base Class Reference

`#include <zrtpudp.h>`

Inheritance diagram for LibZrtpSecurityMode_Base:

List of all members.

## Public Member Functions

| LibZrtpSecurityMode_Base ()
| ~LibZrtpSecurityMode_Base ()
RTP_UDP * | CreateRTPSession (OpalRTPConnection &connection, const RTP_Session::Params &options)
PBoolean | Open ()
zrtp_profile_t * | GetZrtpProfile ()

## Public Attributes

zrtp_conn_ctx_t * | zrtpSession

## Protected Member Functions

void | Init (int *sas, int *pk, int *auth, int *cipher, int *hash)

## Protected Attributes

zrtp_profile_t * | profile

## Constructor & Destructor Documentation

LibZrtpSecurityMode_Base::LibZrtpSecurityMode_Base | ( |  | ) |

LibZrtpSecurityMode_Base::~LibZrtpSecurityMode_Base | ( |  | ) |

## Member Function Documentation

RTP_UDP* LibZrtpSecurityMode_Base::CreateRTPSession | ( | OpalRTPConnection & | connection,
|  | const RTP_Session::Params & | options |
| ) |  |  | `[virtual]`

Parameters:

  connection | Connection creating session (may be needed by secure connections)
  options | Parameters to construct with session.

Implements OpalSecurityMode.

PBoolean LibZrtpSecurityMode_Base::Open | ( |  | ) | `[virtual]`

Implements OpalSecurityMode.

zrtp_profile_t* LibZrtpSecurityMode_Base::GetZrtpProfile | ( |  | ) |

void LibZrtpSecurityMode_Base::Init | ( | int * | sas,
|  | int * | pk,
|  | int * | auth,
|  | int * | cipher,
|  | int * | hash |
| ) |  |  | `[protected]`

## Member Data Documentation

zrtp_conn_ctx_t* LibZrtpSecurityMode_Base::zrtpSession

zrtp_profile_t* LibZrtpSecurityMode_Base::profile `[protected]`

The documentation for this class was generated from the following file:

- zrtpudp.h